Debian Bug report logs - #385722
please consider splitting off sysvutils

version graph

Package: sysvinit; Maintainer for sysvinit is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for sysvinit is src:sysvinit.

Reported by: martin f krafft <madduck@debian.org>

Date: Sat, 2 Sep 2006 15:18:02 UTC

Severity: wishlist

Tags: fixed-in-experimental, patch

Found in version sysvinit/2.86.ds1-15

Fixed in version sysvinit/2.86.ds1-26

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, upstart-devel@lists.netsplit.com, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please consider splitting off sysvutils
Date: Sat, 2 Sep 2006 17:03:39 +0200
[Message part 1 (text/plain, inline)]
Package: sysvinit
Version: 2.86.ds1-15
Severity: wishlist

Ubuntu has recently split several programmes from sysvinit into
a separate binary package (same source), called sysvutils. The
reason was upstart, which is designed to eventually replace
sysvinit.

  http://www.netsplit.com/blog/work/canonical/upstart.html
  http://www.netsplit.com/blog/work/canonical/upstart2.html
  https://launchpad.net/products/upstart

I have uploaded upstart to Debian experimental, but it's starting to
become a real maintenance headache with all the divergance.

Would you please consider taking Ubuntu's lead and also providing
a separate package sysvutils?

  http://packages.ubuntu.com/edgy/source/sysvinit

Here's the list of programmes they moved to sysvutils (along with their
manpages):

-rwxr-xr-x root/root     12172 2006-08-31 22:35 ./usr/bin/last
-rwxr-xr-x root/root      4208 2006-08-31 22:35 ./usr/bin/mesg
-rwxr-xr-x root/root     10260 2006-08-31 22:35 ./sbin/killall5
lrwxrwxrwx root/root         0 2006-08-31 22:35 ./usr/bin/lastb -> last
lrwxrwxrwx root/root         0 2006-08-31 22:35 ./bin/pidof -> ../sbin/killall5

sysvinit then depends on this package.

upstart does too, and it provides the following binaries itself:

-rwxr-xr-x root/root     52768 2006-09-02 03:27 ./sbin/init
-rwxr-xr-x root/root     26528 2006-09-02 03:27 ./sbin/initctl
-rwxr-xr-x root/root     26528 2006-09-02 03:27 ./sbin/start
-rwxr-xr-x root/root     24960 2006-09-02 03:27 ./sbin/reboot
-rwxr-xr-x root/root     31204 2006-09-02 03:27 ./sbin/shutdown
-rwxr-xr-x root/root        39 2006-09-02 03:27 ./sbin/sulogin
lrwxrwxrwx root/root         0 2006-09-02 03:27 ./sbin/stop -> start
lrwxrwxrwx root/root         0 2006-09-02 03:27 ./sbin/status -> start
lrwxrwxrwx root/root         0 2006-09-02 03:27 ./sbin/halt -> reboot
lrwxrwxrwx root/root         0 2006-09-02 03:27 ./sbin/poweroff -> reboot

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.17-2-amd64
Locale: LANG=en_GB, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages sysvinit depends on:
ii  initscripts                 2.86.ds1-15  Scripts for initializing and shutt
ii  libc6                       2.3.999.2-12 GNU C Library: Shared libraries
ii  libselinux1                 1.30.26-2    SELinux shared libraries
ii  libsepol1                   1.12.24-1    Security Enhanced Linux policy lib
ii  sysv-rc                     2.86.ds1-15  System-V-like runlevel change mech

sysvinit recommends no packages.

-- no debconf information

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #8 received at 385722@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 385722@bugs.debian.org, martin f krafft <madduck@debian.org>
Subject: Re: please consider splitting off sysvutils
Date: Tue, 05 Sep 2006 10:39:07 +0200
tags 385722 + patch
thanks

I'm positive to splitting these tools off into their own package.  I'm
unsure about the effect this will have on debootstrap and the
debian-installer, so I post the patch here first, for review.

It is based on the code in sysvinit version 2.86.ds1-14.1ubuntu7 from
ubuntu.

Index: debian/control
===================================================================
--- debian/control	(revisjon 815)
+++ debian/control	(arbeidskopi)
@@ -9,9 +9,7 @@
 Package: sysvinit
 Essential: yes
 Architecture: any
-Conflicts: last
-Replaces: last
-Pre-Depends: initscripts, sysv-rc (>= 2.86.ds1-1.2) | file-rc (>> 0.7.0)
+Pre-Depends: initscripts, sysv-rc (>= 2.86.ds1-1.2) | file-rc (>> 0.7.0), sysvutils
 Depends: ${shlibs:Depends}
 Description: System-V-like init utilities
  This package contains programs required for booting
@@ -22,6 +20,18 @@
  to run as process number 1 until the system halts. All
  other processes are descended from it.
 
+Package: sysvutils
+Essential: yes
+Architecture: any
+Conflicts: last
+Replaces: last, sysvinit (<< 2.86.ds1-15)
+Depends: ${shlibs:Depends}
+Description: System-V-like utilities
+ This package contains the important System-V-like utilities.
+ .
+ Specifically, this package includes:
+ killall5, last, lastb, mesg, pidof
+
 Package: sysv-rc
 Architecture: all
 Conflicts: file-rc
@@ -34,7 +44,7 @@
 
 Package: initscripts
 Architecture: any
-Depends: ${shlibs:Depends}, ${glibc:Depends}, ${mount:Depends}, e2fsprogs (>= 1.32+1.33-WIP-2003.04.14-1), debianutils (>= 2.13.1), lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${glibc:Depends}, ${mount:Depends}, e2fsprogs (>= 1.32+1.33-WIP-2003.04.14-1), debianutils (>= 2.13.1), lsb-base (>= 3.0-6), sysvutils
 Conflicts: mdutils, sysv-rc (<< 2.86.ds1-1.2), sysvinit (<< 2.86.ds1-12)
 Replaces: mdutils, sysvinit (<< 2.85-12), libc6, libc6.1, libc0.1, libc0.3
 Description: Scripts for initializing and shutting down the system
Index: debian/changelog
===================================================================
--- debian/changelog	(revisjon 820)
+++ debian/changelog	(arbeidskopi)
@@ -14,6 +14,9 @@
   * Mount /dev/shm, /sys, /proc and /proc/bus/usb using
     noexec,nodev,nosuid to make it harder to misuse.
     (Closes: #378182, #378280)
+  * Split killall5, last, lastb, mesg and pidof out of the sysvinit
+    package into a new sysvutils package to make it easier to replace
+    init. (Closes: #385722)
 
  -- Petter Reinholdtsen <pere@debian.org>  Wed, 26 Jul 2006 11:37:23 +0200
 
Index: debian/rules
===================================================================
--- debian/rules	(revisjon 815)
+++ debian/rules	(arbeidskopi)
@@ -96,8 +96,22 @@
 	rm -f $(tmp)/sbin/halt
 	rm -f $(tmp)/sbin/reboot
 endif
+	rm -f $(tmp)/usr/share/man/man8/killall5.8
+	rm -f $(tmp)/usr/share/man/man1/last.1
+	rm -f $(tmp)/usr/share/man/man1/lastb.1
+	rm -f $(tmp)/usr/share/man/man1/mesg.1
+	rm -f $(tmp)/usr/share/man/man8/pidof.8
 	rm -f $(tmp)/usr/share/man/man1/mountpoint.1
+	rm -f $(tmp)/sbin/killall5
+	rm -f $(tmp)/usr/bin/last
+	rm -f $(tmp)/usr/bin/lastb
+	rm -f $(tmp)/usr/bin/mesg
+	rm -f $(tmp)/bin/pidof
 	rm -f $(tmp)/bin/mountpoint
+	rmdir $(tmp)/usr/share/man/man1
+	rmdir $(tmp)/usr/sbin
+	rmdir $(tmp)/usr/bin
+	rmdir $(tmp)/bin
 	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]
 	install -o root -g root -m 644 debian/copyright \
 	  $(tmp)$(doc)/sysvinit/copyright
@@ -108,6 +122,43 @@
 	dpkg --build $(tmp) ..
 	rm -rf $(tmp)
 	#
+	# sysvutils package
+	#
+	-rm -rf $(tmp)
+	install -d -o root -g root -m 755 $(tmp)
+	install -d -o root -g root -m 755 $(tmp)/DEBIAN
+	install -d -o root -g root -m 755 $(tmp)$(doc)/sysvutils
+	install -o root -g root -m 644 doc/Changelog \
+		$(tmp)$(doc)/sysvutils/changelog
+	install -o root -g root -m 644 debian/changelog \
+		$(tmp)$(doc)/sysvutils/changelog.Debian
+	gzip -9f $(tmp)$(doc)/sysvutils/changelog*
+	install -d -o root -g root -m 755 $(tmp)/{bin,sbin,lib,usr}
+	install -d -o root -g root -m 755 $(tmp)/usr/bin
+	install -d -o root -g root -m 755 $(tmp)/usr/share/man
+	install -d -o root -g root -m 755 $(tmp)/usr/share/man/man{1,8}
+	install -o root -g root -m 755 src/killall5 $(tmp)/sbin
+	install -o root -g root -m 755 src/last $(tmp)/usr/bin
+	install -o root -g root -m 755 src/mesg $(tmp)/usr/bin
+	strip -s -R .comment $(tmp)/sbin/killall5
+	strip -s -R .comment $(tmp)/usr/bin/last
+	strip -s -R .comment $(tmp)/usr/bin/mesg
+	ln -sf ../sbin/killall5 $(tmp)/bin/pidof
+	ln -sf last $(tmp)/usr/bin/lastb
+	install -o root -g root -m 644 man/killall5.8 $(tmp)/usr/share/man/man8
+	install -o root -g root -m 644 man/last.1 $(tmp)/usr/share/man/man1
+	install -o root -g root -m 644 man/lastb.1 $(tmp)/usr/share/man/man1
+	install -o root -g root -m 644 man/mesg.1 $(tmp)/usr/share/man/man1
+	install -o root -g root -m 644 man/pidof.8 $(tmp)/usr/share/man/man8
+	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]
+	install -o root -g root -m 644 debian/copyright \
+	  $(tmp)$(doc)/sysvutils/copyright
+	cat COPYRIGHT >> $(tmp)$(doc)/sysvutils/copyright
+	dpkg-shlibdeps src/init
+	dpkg-gencontrol -psysvutils -P$(tmp) -isp
+	dpkg --build $(tmp) ..
+	rm -rf $(tmp)
+	#
 	# initscripts package
 	#
 	-rm -rf $(tmp)



Tags added: patch Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #15 received at 385722@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 385722@bugs.debian.org, martin f krafft <madduck@debian.org>
Subject: Re: please consider splitting off sysvutils
Date: Tue, 5 Sep 2006 15:13:12 +0200
tags 385722 + pending
thanks

[Petter Reinholdtsen]
> I'm positive to splitting these tools off into their own package.
> I'm unsure about the effect this will have on debootstrap and the
> debian-installer, so I post the patch here first, for review.

I've tested this package split with debootstrap, and it had no problem
handling it.  Because of this, I've commited the change to svn to have
it included in the next upload.



Tags added: pending Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #22 received at 385722@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 385722@bugs.debian.org, martin f krafft <madduck@debian.org>
Subject: Re: please consider splitting off sysvutils
Date: Tue, 5 Sep 2006 22:36:54 +0200
tags 385722 - pending
thanks

[Petter Reinholdtsen]
> I've tested this package split with debootstrap, and it had no
> problem handling it.  Because of this, I've commited the change to
> svn to have it included in the next upload.

I did some more testing, trying to upgrade the package using 'dpkg
-i', and ran into serious problems.  It refuses to upgrade because
sysvinit pre-depend on sysvutils, which include a file already in the
old/existing sysvinit.  I suspect the pre-depend is the problem.  I am
not sure exacly how to fix this, and am removing the patch from svn
while we look into this issue a bit more.

Friendly,
-- 
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to martin f krafft <madduck@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #27 received at 385722@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: upstart developers list <upstart-devel@lists.netsplit.com>
Cc: 385722@bugs.debian.org
Subject: Fwd: Re: please consider splitting off sysvutils
Date: Wed, 6 Sep 2006 05:34:41 +0200
[Message part 1 (text/plain, inline)]
Scott, why does sysvinit pre-depend on sysvutils? How did you work
around this problem?

----- Forwarded message from Petter Reinholdtsen <pere@hungry.com> -----

I did some more testing, trying to upgrade the package using 'dpkg
-i', and ran into serious problems.  It refuses to upgrade because
sysvinit pre-depend on sysvutils, which include a file already in the
old/existing sysvinit.  I suspect the pre-depend is the problem.  I am
not sure exacly how to fix this, and am removing the patch from svn
while we look into this issue a bit more.

Friendly,
-- 
Petter Reinholdtsen

----- End forwarded message -----

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
 
"in the stage of grand illusion
 you walked into my life
 out of my dreams."
                                                        -- david bowie
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #32 received at 385722@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 385722@bugs.debian.org
Cc: martin f krafft <madduck@debian.org>
Subject: Re: [Pkg-sysvinit-devel] Bug#385722: please consider splitting off sysvutils
Date: Wed, 6 Sep 2006 01:19:56 -0300
On Tue, 05 Sep 2006, Petter Reinholdtsen wrote:
> I did some more testing, trying to upgrade the package using 'dpkg
> -i', and ran into serious problems.  It refuses to upgrade because
> sysvinit pre-depend on sysvutils, which include a file already in the
> old/existing sysvinit.  I suspect the pre-depend is the problem.  I am

A Replaces: sysvinit (<= [whatever]) header in the sysvutils package should
fix this.

Also, may I humbly suggest naming the new package sysvinit-utils instead of
sysvutils?

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Message #35 received at 385722@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: Petter Reinholdtsen <pere@hungry.com>, 385722@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#385722: please consider splitting off sysvutils
Date: Wed, 6 Sep 2006 06:50:26 +0200
[Message part 1 (text/plain, inline)]
also sprach Henrique de Moraes Holschuh <hmh@debian.org> [2006.09.06.0619 +0200]:
> A Replaces: sysvinit (<= [whatever]) header in the sysvutils package should
> fix this.

He had
  Replaces: last, sysvinit (<< 2.86.ds1-15)

in there... I am not sure about the use of the version though...

> Also, may I humbly suggest naming the new package sysvinit-utils
> instead of sysvutils?

Well, except that this would be a divergance from Ubuntu, but on the
other hand, there's no reason why the Ubuntu package cannot depend
on sysvutils|sysvinit-utils

Otherwise I agree, sysvinit-utils is better.

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@netsplit.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 385722@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@netsplit.com>
To: martin f krafft <madduck@debian.org>
Cc: upstart developers list <upstart-devel@lists.netsplit.com>, 385722@bugs.debian.org
Subject: Re: Fwd: Re: please consider splitting off sysvutils
Date: Wed, 06 Sep 2006 10:25:36 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2006-09-06 at 05:34 +0200, martin f krafft wrote:

> Scott, why does sysvinit pre-depend on sysvutils? How did you work
> around this problem?
> 
Because as an Essential package, sysvinit has to work unconfigured ...
which means that if it requires it's dependencies they must actually be
Pre-Depends.

Not sure what problem Petter is having, it's not one I've encountered --
unless he's just installing the sysvutils package without also upgrading
sysvinit

Scott
-- 
Have you ever, ever felt like this?
Had strange things happen?  Are you going round the twist?
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Message #43 received at 385722@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: 385722@bugs.debian.org, upstart developers list <upstart-devel@lists.netsplit.com>
Subject: Re: Fwd: Re: please consider splitting off sysvutils
Date: Wed, 6 Sep 2006 13:08:18 +0200
[Message part 1 (text/plain, inline)]
also sprach Scott James Remnant <scott@netsplit.com> [2006.09.06.1125 +0200]:
> Because as an Essential package, sysvinit has to work unconfigured
> ... which means that if it requires it's dependencies they must
> actually be Pre-Depends.
> 
> Not sure what problem Petter is having, it's not one I've
> encountered -- unless he's just installing the sysvutils package
> without also upgrading sysvinit

Petter, which file was the problem?

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #48 received at 385722@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 385722@bugs.debian.org, upstart developers list <upstart-devel@lists.netsplit.com>
Subject: Re: [Pkg-sysvinit-devel] Bug#385722: Fwd: Re: please consider splitting off sysvutils
Date: Wed, 6 Sep 2006 13:51:11 +0200
[Martin F Krafft]
> Petter, which file was the problem?

It was the mesg manual page.  It was just as if the 'replaces' header
was completely ignored.  I suspect this might be related to the use of
'~' in the version string, but have not had time to investigate more.

The problem I ran into was upgrading from 2.86.ds1-15 using dpkg -i
*.deb to upgrade all the sysvinit packages.  I would love it if you
can confirm that you do not see this error when you test the patch
yourself.

Friendly,
-- 
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #53 received at 385722@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: martin f krafft <madduck@debian.org>
Cc: Petter Reinholdtsen <pere@hungry.com>, 385722@bugs.debian.org
Subject: Re: [Pkg-sysvinit-devel] Bug#385722: please consider splitting off sysvutils
Date: Wed, 6 Sep 2006 10:48:20 -0300
On Wed, 06 Sep 2006, martin f krafft wrote:
> > Also, may I humbly suggest naming the new package sysvinit-utils
> > instead of sysvutils?
> 
> Well, except that this would be a divergance from Ubuntu, but on the
> other hand, there's no reason why the Ubuntu package cannot depend
> on sysvutils|sysvinit-utils

If I may be so humble, we don't have to follow Ubuntu 100%.  The same way
that the Debian team is happy to work to bring enhancements from Ubuntu to
Debian, I assume that the Ubuntu team will be happy to deal with the minor
adjustments we do in the process.

> Otherwise I agree, sysvinit-utils is better.

So let's please go with it.  It will not be difficult for Ubuntu to
transition to sysvinit-utils either, nor will it be difficult for them to
deal with both.

Now, that said, we seem to have found a dpkg bug.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Message #56 received at 385722@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Henrique de Moraes Holschuh <hmh@debian.org>, 385722@bugs.debian.org
Subject: Re: Bug#385722: [Pkg-sysvinit-devel] Bug#385722: please consider splitting off sysvutils
Date: Wed, 6 Sep 2006 17:41:05 +0200
[Message part 1 (text/plain, inline)]
also sprach Henrique de Moraes Holschuh <hmh@debian.org> [2006.09.06.1548 +0200]:
> If I may be so humble, we don't have to follow Ubuntu 100%.

Of course not. But any diff I don't have to keep track of is less
work for me.

> The same way that the Debian team is happy to work to bring
> enhancements from Ubuntu to Debian, I assume that the Ubuntu team
> will be happy to deal with the minor adjustments we do in the
> process.

We'll see. :)

> > Otherwise I agree, sysvinit-utils is better.
> 
> So let's please go with it.  It will not be difficult for Ubuntu
> to transition to sysvinit-utils either, nor will it be difficult
> for them to deal with both.
> 
> Now, that said, we seem to have found a dpkg bug.

Related to ~ in versions and Replaces?

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #64 received at 385722@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 385722@bugs.debian.org, martin f krafft <madduck@debian.org>
Subject: Re: Bug#385722: please consider splitting off sysvutils
Date: Fri, 8 Sep 2006 08:54:30 +0200
[Henrique de Moraes Holschuh]
> Also, may I humbly suggest naming the new package sysvinit-utils instead of
> sysvutils?

Personally I prefer the sysv prefix, to match sysv-rc.  Part of my
rationale is that the killall5, last, lastb, mesg and pidof binaries
don't really have anything to do with the init program or system as
such, they are just useful tools, and I assume they are commonly found
in sysv-based unix systems.

But I have no strong opinion if the best name is sysv-utils,
sysvutils, sysv-tools or sysvtools.  And because I have no strong
opinion on the name, I choose compatibility with others as the most
important factor, and suggest we use the same name as ubuntu, if we
get the split working.

Friendly,
-- 
Petter Reinholdtsen



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #69 received at 385722@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Petter Reinholdtsen <pere@hungry.com>, 385722@bugs.debian.org
Cc: martin f krafft <madduck@debian.org>
Subject: Re: [Pkg-sysvinit-devel] Bug#385722: please consider splitting off sysvutils
Date: Fri, 8 Sep 2006 09:46:55 -0300
On Fri, 08 Sep 2006, Petter Reinholdtsen wrote:
> [Henrique de Moraes Holschuh]
> > Also, may I humbly suggest naming the new package sysvinit-utils instead of
> > sysvutils?
> 
> Personally I prefer the sysv prefix, to match sysv-rc.  Part of my
> rationale is that the killall5, last, lastb, mesg and pidof binaries
> don't really have anything to do with the init program or system as
> such, they are just useful tools, and I assume they are commonly found
> in sysv-based unix systems.

I agree with that, but since there's the caveat that sysv is a prefix of an
entire world of stuff and NOT of the initscript subsystem, a sysv-utils
package should be available for other ATT SysV utilities, which have nothing
to do with init at all.  Sort like the mess util-linux has become.

Do we really want to open ourselves to a possible multiple-upstream, not
initscript-centric package on the future? Or to what happened to the inet*
stuff/netkit-* stuff?

What we are dealing with is sysvinit, not sysv.  Heck, "lp" from cupsys is
sysv too, and that's as far away from initscript as we could get :-p

sysv-rc is not a prefix, it is explicitly's sysv rc, so naming the package
that has it inside "sysv-rc" is not likely to become a problem ever.  But
killall5, last, lastb, mesg, pidof... those could either belong to a
sysv-utils package (that could have other sysv utilities), or to a
sysvinit-utils/sysvrc-utils package (that would always be single-source,
single-upstream).   So let's please place them where it will never cause us
trouble: a sysvinit-utils or sysv-rc-utils package.

And sincerely, I'd really, really like to drop "rc" sometime in the future,
init is two letters away from rc, and unlike rc it has an actual meaning :-)
That goes even for our *-rc.d utilities, *if* we ever revise their
interfaces in a non-backwards-compatible way (which we might have to do
eventually, when the cruft becomes too big).   No, this has nothing to do
with renaming the sysv-rc package.  Sysv-rc is a particular way to implement
a sysv-like initscript system :p   What really defines sysv-style init
scripts is /etc/init.d scripts, and their actions (start, stop...).

> But I have no strong opinion if the best name is sysv-utils,
> sysvutils, sysv-tools or sysvtools.  And because I have no strong
> opinion on the name, I choose compatibility with others as the most
> important factor, and suggest we use the same name as ubuntu, if we
> get the split working.

I'd normally go with this, but look at where such non-forward-proof way of
doing things got us re. update-rc.d.  Someone wrote it waaaay back, before
even the first Debian release, gave it absolutely *no* thought whatsoever
other than what was strictly needed for fixing the immediate problem...  to
the point that it is not even able to separate local admin changes to
package changes like dpkg-divert does.  Just as icing in the cake,
update-rc.d was also given a command line interface that is hard to extend
in a safe manner.   Was it wrong to do it like this? No. Was it the best way
it could be done? No.  Did it cause trouble to us and our users? *yes*
(try to setup udev or util-linux to start/stop where you want them, then
upgrade the packages and watch as your local admin decisions get overriden
-- and we *cannot* fix this without a new update-rc.d transition!).

I'd like to avoid shortsighted naming of tools, packages, and
non-safely-designed interfaces for *forward* compatibility as much as
possible in the initscript subsystem.  Yes, the naming of a package is a
very minor thing, but if it is something we *can* get right now, why should
we just go on with an imperfect naming that *may* cause problems in the
future?

As a sidenote, I'd really appreciate if the Ubuntu guys would consider
adopting this instance (don't take this as "you're doing a bad job", because
you are not.  Please take it as "please go through a bit more pain to make
sure we all get a chance to agree the job is being done right, or at least
that we all had the change to give input"), and at least post a question to
pkg-sysvinit-devel about changes to the initscript packaging and tools.
That's a three to five *days* delay I am asking about on an upload of one of
the most critical pieces of infrastructure of the entire distro (be it
Debian or Ubuntu), which seems quite fair to me.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #74 received at 385722@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@ubuntu.com>
To: Henrique de Moraes Holschuh <hmh@debian.org>, 385722@bugs.debian.org
Cc: Petter Reinholdtsen <pere@hungry.com>, martin f krafft <madduck@debian.org>
Subject: Re: Bug#385722: [Pkg-sysvinit-devel] Bug#385722: please consider splitting off sysvutils
Date: Fri, 08 Sep 2006 16:18:47 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2006-09-08 at 09:46 -0300, Henrique de Moraes Holschuh wrote:

> As a sidenote, I'd really appreciate if the Ubuntu guys would consider
> adopting this instance (don't take this as "you're doing a bad job", because
> you are not.  Please take it as "please go through a bit more pain to make
> sure we all get a chance to agree the job is being done right, or at least
> that we all had the change to give input"), and at least post a question to
> pkg-sysvinit-devel about changes to the initscript packaging and tools.
> That's a three to five *days* delay I am asking about on an upload of one of
> the most critical pieces of infrastructure of the entire distro (be it
> Debian or Ubuntu), which seems quite fair to me.
> 
We'll adopt whatever name Debian ultimately decide.

Scott
-- 
Scott James Remnant
scott@ubuntu.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #79 received at 385722@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Scott James Remnant <scott@ubuntu.com>
Cc: 385722@bugs.debian.org, Petter Reinholdtsen <pere@hungry.com>, martin f krafft <madduck@debian.org>
Subject: Re: Bug#385722: [Pkg-sysvinit-devel] Bug#385722: please consider splitting off sysvutils
Date: Fri, 8 Sep 2006 12:44:49 -0300
On Fri, 08 Sep 2006, Scott James Remnant wrote:
> We'll adopt whatever name Debian ultimately decide.

Thanks, although that was not the main point of my request :-)

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Scott James Remnant <scott@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #84 received at 385722@bugs.debian.org (full text, mbox):

From: Scott James Remnant <scott@ubuntu.com>
To: Henrique de Moraes Holschuh <hmh@debian.org>
Cc: 385722@bugs.debian.org, Petter Reinholdtsen <pere@hungry.com>, martin f krafft <madduck@debian.org>
Subject: Re: Bug#385722: [Pkg-sysvinit-devel] Bug#385722: please consider splitting off sysvutils
Date: Fri, 08 Sep 2006 16:54:50 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2006-09-08 at 12:44 -0300, Henrique de Moraes Holschuh wrote:

> On Fri, 08 Sep 2006, Scott James Remnant wrote:
> > We'll adopt whatever name Debian ultimately decide.
> 
> Thanks, although that was not the main point of my request :-)
> 
Umm, then I missed it? :P   What was the main point?

Scott
-- 
Scott James Remnant
scott@ubuntu.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Message #87 received at 385722@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Scott James Remnant <scott@ubuntu.com>, 385722@bugs.debian.org
Cc: Henrique de Moraes Holschuh <hmh@debian.org>
Subject: Re: Bug#385722: [Pkg-sysvinit-devel] Bug#385722: please consider splitting off sysvutils
Date: Fri, 8 Sep 2006 18:18:30 +0200
[Message part 1 (text/plain, inline)]
also sprach Scott James Remnant <scott@ubuntu.com> [2006.09.08.1754 +0200]:
> > Thanks, although that was not the main point of my request :-)
> > 
> Umm, then I missed it? :P   What was the main point?

(I only bounced that last message of yours to Scott, Henrique)

-- 
 .''`.   martin f. krafft <madduck@debian.org>
: :'  :  proud Debian developer, author, administrator, and user
`. `'`   http://people.debian.org/~madduck - http://debiansystem.info
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #92 received at 385722@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Scott James Remnant <scott@ubuntu.com>
Cc: 385722@bugs.debian.org, Petter Reinholdtsen <pere@hungry.com>, martin f krafft <madduck@debian.org>
Subject: Re: Bug#385722: [Pkg-sysvinit-devel] Bug#385722: please consider splitting off sysvutils
Date: Fri, 8 Sep 2006 15:57:08 -0300
On Fri, 08 Sep 2006, Scott James Remnant wrote:
> On Fri, 2006-09-08 at 12:44 -0300, Henrique de Moraes Holschuh wrote:
> > On Fri, 08 Sep 2006, Scott James Remnant wrote:
> > > We'll adopt whatever name Debian ultimately decide.
> > 
> > Thanks, although that was not the main point of my request :-)
> > 
> Umm, then I missed it? :P   What was the main point?

The stuff after "As a sidenote" :-)

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Tags removed: pending Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #99 received at 385722@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 385722@bugs.debian.org, 385722-submitter@bugs.debian.org
Subject: Re: please consider splitting off sysvutils
Date: Tue, 12 Sep 2006 09:49:40 +0200
I gave this another try, this time using version 2.86.ds1-21 both in
the changelog entry and in the replaces header, and upgrading from
version 2.86.ds1-21~1.  It failed.  Here is the error:

  # dpkg -i *-21*.deb
  [...]
  Unpacking sysvinit-utils (from sysvinit-utils_2.86.ds1-21_i386.deb ...
  Replacing files in old package sysvinit ...
  dpkg: regarding sysvinit_2.86.ds1-21_i386.deb containing sysvinit, pre-dependency problem:
   sysvinit pre-depends on sysvinit-utils
    sysvinit-utils is unpacked, but has never been configured.
  dpkg: error processing sysvinit_2.86.ds1-21_i386.deb (--install):
   pre-dependency problem - not installing sysvinit
  Setting up sysv-rc (2.86.ds1-21) ...
  [...]
  Errors were encountered while processing:
   sysvinit_2.86.ds1-21_i386.deb
  #

The problem was solved by running the dpkg -i call again, and this
time sysvinit found its predepend and dpkg was happy.

I fail to understand why dpkg isn't ordering the install in a way to
make sure sysvinit-utils are configured before sysvinit is installed,
but until I can be sure we do not run into problems with this split, I
will wait.  This is the patch I used this time, relative to the
current svn.

Index: debian/control
===================================================================
--- debian/control	(revisjon 912)
+++ debian/control	(arbeidskopi)
@@ -9,9 +9,7 @@
 Package: sysvinit
 Essential: yes
 Architecture: any
-Conflicts: last
-Replaces: last
-Pre-Depends: initscripts, sysv-rc (>= 2.86.ds1-1.2) | file-rc (>> 0.7.0)
+Pre-Depends: initscripts, sysv-rc (>= 2.86.ds1-1.2) | file-rc (>> 0.7.0), sysvinit-utils
 Depends: ${shlibs:Depends}
 Description: System-V-like init utilities
  This package contains programs required for booting
@@ -22,6 +20,18 @@
  to run as process number 1 until the system halts. All
  other processes are descended from it.
 
+Package: sysvinit-utils
+Essential: yes
+Architecture: any
+Conflicts: last
+Replaces: last, sysvinit (<< 2.86.ds1-21)
+Depends: ${shlibs:Depends}
+Description: System-V-like utilities
+ This package contains the important System-V-like utilities.
+ .
+ Specifically, this package includes:
+ killall5, last, lastb, mesg, pidof
+
 Package: sysv-rc
 Architecture: all
 Recommends: lsb-base (>= 3.0-6)
@@ -35,7 +45,7 @@
 
 Package: initscripts
 Architecture: any
-Depends: ${shlibs:Depends}, ${glibc:Depends}, ${mount:Depends}, e2fsprogs (>= 1.32+1.33-WIP-2003.04.14-1), debianutils (>= 2.13.1), lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, ${glibc:Depends}, ${mount:Depends}, e2fsprogs (>= 1.32+1.33-WIP-2003.04.14-1), debianutils (>= 2.13.1), lsb-base (>= 3.0-6), sysvinit-utils
 Conflicts: mdutils, sysv-rc (<< 2.86.ds1-1.2), sysvinit (<< 2.86.ds1-12)
 Replaces: mdutils, sysvinit (<< 2.85-12), libc6, libc6.1, libc0.1, libc0.3
 Description: Scripts for initializing and shutting down the system
Index: debian/changelog
===================================================================
--- debian/changelog	(revisjon 915)
+++ debian/changelog	(arbeidskopi)
@@ -1,4 +1,4 @@
-sysvinit (2.86.ds1-21~1) unstable; urgency=low
+sysvinit (2.86.ds1-21) unstable; urgency=low
 
   * Correct status report handling in umountnfs.sh.  Based on patch
     from Markus Schoder. (Closes: #386893)
@@ -20,6 +20,9 @@
   * Now that mtab is properly updated by mtab.sh before mountall.sh,
     there is no need to have special handling of proc file systems.
     Remove the code from mountall.sh. (Closes: #359651)
+  * Split killall5, last, lastb, mesg and pidof out of the sysvinit
+    package into a new sysvinit-utils package to make it easier to
+    replace sysvinit. (Closes: #385722)
 
  -- Petter Reinholdtsen <pere@debian.org>  Mon, 11 Sep 2006 00:44:44 +0200
 
Index: debian/rules
===================================================================
--- debian/rules	(revisjon 912)
+++ debian/rules	(arbeidskopi)
@@ -96,8 +96,22 @@
 	rm -f $(tmp)/sbin/halt
 	rm -f $(tmp)/sbin/reboot
 endif
+	rm -f $(tmp)/usr/share/man/man8/killall5.8
+	rm -f $(tmp)/usr/share/man/man1/last.1
+	rm -f $(tmp)/usr/share/man/man1/lastb.1
+	rm -f $(tmp)/usr/share/man/man1/mesg.1
+	rm -f $(tmp)/usr/share/man/man8/pidof.8
 	rm -f $(tmp)/usr/share/man/man1/mountpoint.1
+	rm -f $(tmp)/sbin/killall5
+	rm -f $(tmp)/usr/bin/last
+	rm -f $(tmp)/usr/bin/lastb
+	rm -f $(tmp)/usr/bin/mesg
+	rm -f $(tmp)/bin/pidof
 	rm -f $(tmp)/bin/mountpoint
+	rmdir $(tmp)/usr/share/man/man1
+	rmdir $(tmp)/usr/sbin
+	rmdir $(tmp)/usr/bin
+	rmdir $(tmp)/bin
 	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]
 	install -o root -g root -m 644 debian/copyright \
 	  $(tmp)$(doc)/sysvinit/copyright
@@ -108,6 +122,43 @@
 	dpkg --build $(tmp) ..
 	rm -rf $(tmp)
 	#
+	# sysvinit-utils package
+	#
+	-rm -rf $(tmp)
+	install -d -o root -g root -m 755 $(tmp)
+	install -d -o root -g root -m 755 $(tmp)/DEBIAN
+	install -d -o root -g root -m 755 $(tmp)$(doc)/sysvinit-utils
+	install -o root -g root -m 644 doc/Changelog \
+		$(tmp)$(doc)/sysvinit-utils/changelog
+	install -o root -g root -m 644 debian/changelog \
+		$(tmp)$(doc)/sysvinit-utils/changelog.Debian
+	gzip -9f $(tmp)$(doc)/sysvinit-utils/changelog*
+	install -d -o root -g root -m 755 $(tmp)/{bin,sbin,lib,usr}
+	install -d -o root -g root -m 755 $(tmp)/usr/bin
+	install -d -o root -g root -m 755 $(tmp)/usr/share/man
+	install -d -o root -g root -m 755 $(tmp)/usr/share/man/man{1,8}
+	install -o root -g root -m 755 src/killall5 $(tmp)/sbin
+	install -o root -g root -m 755 src/last $(tmp)/usr/bin
+	install -o root -g root -m 755 src/mesg $(tmp)/usr/bin
+	strip -s -R .comment $(tmp)/sbin/killall5
+	strip -s -R .comment $(tmp)/usr/bin/last
+	strip -s -R .comment $(tmp)/usr/bin/mesg
+	ln -sf ../sbin/killall5 $(tmp)/bin/pidof
+	ln -sf last $(tmp)/usr/bin/lastb
+	install -o root -g root -m 644 man/killall5.8 $(tmp)/usr/share/man/man8
+	install -o root -g root -m 644 man/last.1 $(tmp)/usr/share/man/man1
+	install -o root -g root -m 644 man/lastb.1 $(tmp)/usr/share/man/man1
+	install -o root -g root -m 644 man/mesg.1 $(tmp)/usr/share/man/man1
+	install -o root -g root -m 644 man/pidof.8 $(tmp)/usr/share/man/man8
+	gzip -9f $(tmp)/usr/share/man/man*/*.[0-9]
+	install -o root -g root -m 644 debian/copyright \
+	  $(tmp)$(doc)/sysvinit-utils/copyright
+	cat COPYRIGHT >> $(tmp)$(doc)/sysvinit-utils/copyright
+	dpkg-shlibdeps src/init
+	dpkg-gencontrol -psysvinit-utils -P$(tmp) -isp
+	dpkg --build $(tmp) ..
+	rm -rf $(tmp)
+	#
 	# initscripts package
 	#
 	-rm -rf $(tmp)



Message sent on to martin f krafft <madduck@debian.org>:
Bug#385722. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#385722; Package sysvinit. Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@teco.edu>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #107 received at 385722@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@teco.edu>
To: 385722@bugs.debian.org
Cc: martin f krafft <madduck@debian.org>, Henrique de Moraes Holschuh <hmh@debian.org>
Subject: Re: please consider splitting off sysvutils
Date: Tue, 12 Sep 2006 18:30:42 +0200
[Message part 1 (text/plain, inline)]
> I gave this another try, this time using version 2.86.ds1-21 both in
> the changelog entry and in the replaces header, and upgrading from
> version 2.86.ds1-21~1.  It failed.  Here is the error:
> 
>   # dpkg -i *-21*.deb
>   [...]
>   Unpacking sysvinit-utils (from sysvinit-utils_2.86.ds1-21_i386.deb ...
>   Replacing files in old package sysvinit ...
>   dpkg: regarding sysvinit_2.86.ds1-21_i386.deb containing sysvinit, pre-dependency problem:
>    sysvinit pre-depends on sysvinit-utils
>     sysvinit-utils is unpacked, but has never been configured.
>   dpkg: error processing sysvinit_2.86.ds1-21_i386.deb (--install):
>    pre-dependency problem - not installing sysvinit
>   Setting up sysv-rc (2.86.ds1-21) ...
>   [...]
>   Errors were encountered while processing:
>    sysvinit_2.86.ds1-21_i386.deb
>   #
> 
> The problem was solved by running the dpkg -i call again, and this
> time sysvinit found its predepend and dpkg was happy.
> 
> I fail to understand why dpkg isn't ordering the install in a way to
> make sure sysvinit-utils are configured before sysvinit is installed,
> but until I can be sure we do not run into problems with this split, I
> will wait.  This is the patch I used this time, relative to the
> current svn.

Well, it's quite clear to me: dpkg simply doesn't order the installation
sequence, you have to use a higher level tool like apt or aptitude for that.
You can try the following:
Drop the deb files in a folder, say /home/foo/debs, then run
dpkg-scanpackages /home/foo/debs /dev/null | gzip > \
/home/foo/debs/Packages.gz

Add to /etc/apt/sources.list:
deb file:///home/foo/debs ./

and run apt-get update && apt-get upgrade. This should work flawlessly
(tested it myself).
I did this for your proposed patch and stored the files on my server.
You can test them by adding

deb http://debs.michaelbiebl.de/upstart binary/
deb-src http://debs.michaelbiebl.de/upstart source/

to you /etc/apt/sources.list file.

@madduck: The repository also contains upstart 0.2.5 packages.
Applied is the patch for glibc-2.3. I addition dropped the dependency on
linux-kernel-headers and glibc from experimental and changed the
dependency on sysvutils -> sysvinit-utils, as this is what pere chose as
name for the split package. Give them a try.


@hmh: The sysvinit package still has the Essential tag. This makes it a
bit cumbersome if you want to install a replacement init system like
upstart, initng or runit-run. Would it make sense to drop the Essential
tag from sysvinit and let all init systems have a "Provides:
init-system". We could then introduce an new essential package which
would depend on "init-system | sysvinit".
If we later decide to switch to a new init system, it would be much easier.

Cheers,
Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Petter Reinholdtsen <pere@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #116 received at 385722-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 385722-close@bugs.debian.org
Subject: Bug#385722: fixed in sysvinit 2.86.ds1-26
Date: Thu, 28 Sep 2006 11:02:14 -0700
Source: sysvinit
Source-Version: 2.86.ds1-26

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive:

initscripts_2.86.ds1-26_i386.deb
  to pool/main/s/sysvinit/initscripts_2.86.ds1-26_i386.deb
sysv-rc_2.86.ds1-26_all.deb
  to pool/main/s/sysvinit/sysv-rc_2.86.ds1-26_all.deb
sysvinit-utils_2.86.ds1-26_i386.deb
  to pool/main/s/sysvinit/sysvinit-utils_2.86.ds1-26_i386.deb
sysvinit_2.86.ds1-26.diff.gz
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-26.diff.gz
sysvinit_2.86.ds1-26.dsc
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-26.dsc
sysvinit_2.86.ds1-26_i386.deb
  to pool/main/s/sysvinit/sysvinit_2.86.ds1-26_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 385722@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 28 Sep 2006 19:26:54 +0200
Source: sysvinit
Binary: sysv-rc sysvinit-utils sysvinit initscripts
Architecture: source i386 all
Version: 2.86.ds1-26
Distribution: unstable
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 initscripts - Scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 258420 354163 359651 367944 383124 385722 386893 387216 387236 387308 388244 388417 389435
Changes: 
 sysvinit (2.86.ds1-26) unstable; urgency=low
 .
   * Change umountnfs to use /etc/mtab instead of /proc/mounts, to make
     sure it see the _netdev option.  umountfs still uses /proc/mounts
     to make every non-root file system is unmounted before halt or
     reboot. (Closes: #383124)
   * Correct exit code handling in init.d/rc.local. (Closes: #389435)
 .
 sysvinit (2.86.ds1-25) experimental; urgency=low
 .
   * Improve manual entry for RAMRUN and RAMLOCK run rcS(5).
   * Correct mtab.sh to make sure the mtab content matches the options used
     when mounting /var/run/.
   * New defaults/tmpfs options RUN_SIZE and LOCK_SIZE, controlling the
     tmpfs size.  Modified the mount code to also use TMPFS_SIZE if
     set as a fallback value.
 .
 sysvinit (2.86.ds1-24) experimental; urgency=low
 .
   * Make sure we do not umount /lib/init/rw/ during shutdown.
   * Make it easier to debug the splash progress bar in init.d/rc.
   * Correct mtab entry for /sys, to make sure its 'device' is sysfs.
   * Include vars.sh in mtab.sh, to make sure the RAMRUN and RAMLOCK
     options are available when used.
   * Add defaults/tmpfs option RW_SIZE to control the size of
     /lib/init/rw/, and change mountkernfs.sh to use TMPFS_SIZE too if
     it is set.
   * Rewrite post_mountall() function to avoid mounting /var/run/ and
     /var/lock/ on top of themselves when RAMRUN or RAMLOCK is enabled.
 .
 sysvinit (2.86.ds1-23) experimental; urgency=low
 .
   * Make the tmpfs on /var/run/ and /var/lock/ optional, and provide
     RAMRUN and RAMLOCK options in /etc/default/rcS to control this.
     Remove code to convert to this feature when the package is
     upgraded or installed.  It will take effect after a reboot if
     /etc/default/rcS is modified.  Keep them disabled for now.
     Create .ramfs files in the directories if tmpfs is used to make it
     easier for other scripts to know if they are safe to use early in
     the boot.
   * Create /lib/init/rw/, and mount a tmpfs there to garantee some
     writable area very early in the boot.  Use this in checkroot.sh if
     a device node need to be created.  Create .ramfs indicator when
     it is mounted.
   * Move sulogin to the sysvinit-utils package as well. (Closes: #388417)
   * Add new halt option NETDOWN to make it easier to enable
     wake-on-lan. (Closes: #388244)
   * Add a stop dependency for umountroot on kexec, to document the
     correct location for a kexec script.  Related to bug #387599.
   * Make sure update-rd.d-recover is not compressed to make it easier to run.
 .
 sysvinit (2.86.ds1-22) experimental; urgency=low
 .
   * Let mountdevsubfs provide mountvirtfs to work with init.d scripts
     with obsolete dependency information.
   * Change mounting of virtual file systems to specify the device name
     explicitly, to make sure /proc/mounts and /etc/mtab end up with
     the same device name.
   * Split killall5, last, lastb, mesg and pidof out of the sysvinit
     package into a new sysvinit-utils package to make it easier to
     replace sysvinit. (Closes: #385722)
   * Mount /var/run/ as tmpfs in mountkernfs.sh, to have some place to
     write state information very early in the boot, and thus avoid a
     lot of cludges in scripts running before partitions are checked
     and mounted.  Mount /var/lock/ as tmpfs to avoid having to clean
     it during boot, and to have some place to store locks for the
     things running before partitions are checked and mounted.
     Packages need to create the directories they expect to find in
     these directories from now on.  Patch from Scott James Remnant and
     Ubuntu.
   * Adjust checkroot.sh to create the root device node in /var/run/
     when needed, instead of mounting its own tmpfs.  Modified
     /var/run/ to allow devices and executables.
 .
 sysvinit (2.86.ds1-21) experimental; urgency=low
 .
   * Correct status report handling in umountnfs.sh.  Based on patch
     from Markus Schoder. (Closes: #386893)
   * Change mountnfs.sh, rc.local and skeleton to use /lib/init/vars.sh
     instead of sourcing /etc/default/rcS, to activate the INIT_VERBOSE
     variable for these scripts.
   * Add support in the init.d scripts for the 'quiet' kernel option.
     Keep support for the experiemental INIT_VERBOSE, to make it
     possible to override VERBOSE=no on the kernel command line.
   * New draft patch 68_init_quiet to make init less verbose when the
     'quiet' kernel option is used.  If it worked, it would solve bug
     #326677.
   * Add a few lintian overrides for things that are correct though strange.
   * Rewrite sendsigs to sleep up to 5 seconds (instead of always
     sleeping 5 seconds) during shutdown if there are no processes left
     to wait for.  Modify killall5 to make it report if it found any
     processes to kill to make this possible.
   * Modify mtab.sh to include /dev/.static/dev in /etc/mtab, to avoid
     message from umountfs during shutdown about it being missing in mtab.
   * Now that mtab is properly updated by mtab.sh before mountall.sh,
     there is no need to have special handling of proc file systems.
     Remove the code from mountall.sh. (Closes: #359651)
   * Only kill processes using remote file systems before trying to
     umount them, if fuser from the psmisc package is available, and
     move sendsigs to a point between where remote and local file systems
     are umounted.  Recommend psmisc for package initscripts.
     (Closes: #258420, #367944)
   * Add conditional dependency on glibc for hostname.sh and
     mountkernfs.sh, to allow the glibc warnings to show up without
     anything running in parallel.
   * Change default PATH in initscripts and init to prefer sbin/ over
     bin/, to avoid picking user visible replacement for system
     binaries.  This avoids shutdown problems on some
     machines. (Closes: #354163)
   * Fix typo in init.d/README. (Closes: #387236)
   * Add /usr/bin/ to the checkroot and checkfs PATH, to make sure
     on_ac_power is used if it is available. (Closes: #387308)
   * Modify mtab.sh to insert the device name used when mounting
     /dev/shm/ in /etc/mtab.  (Closes: #387216)
Files: 
 53f1bdb2310ea926cf1fffbbe3c6f055 910 admin required sysvinit_2.86.ds1-26.dsc
 657b5e606afb5853c63fd06322514da3 133869 admin required sysvinit_2.86.ds1-26.diff.gz
 ff4047a2293727fc77c2e0ee1bbb33fa 107882 admin required sysvinit_2.86.ds1-26_i386.deb
 123d0c2171934c12adf70ed4b6d7bd22 63746 admin required sysvinit-utils_2.86.ds1-26_i386.deb
 6715e1f9768a8dda664d74049040d10b 56886 admin required initscripts_2.86.ds1-26_i386.deb
 1249884b42f92dd8fad39f69325710d5 55200 admin required sysv-rc_2.86.ds1-26_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD4DBQFFHAxD20zMSyow1ykRAkdDAJdTtz0VfwWP9oT2uUX3mIYIWwmSAKDbsmQd
eci080F3HOSzfBBw1m92bg==
=1Bus
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 21:15:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:43:39 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.